Subject: Cinnabar Energy
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 27 Apr 2000 03:17:00 -0700 (PDT)

A draft of a Master Firm Purchase/Sale Agreement was sent via Federal Express 
Monday to Thad Shumway of Cinnabar for review.   I left a message this 
morning for Mr. Shumway and await is call.

If Cinnabar agrees to the Master, we will accept a fax of their signature on 
page 5, and follow with originals for execution.  Dan Hyvl  informed me you 
will contact Cinnabar today as well.

I will advise you of our progress.  Please let me know if I can be of further 
assistance.

Debra